<?php
require_once 'phpoffice/phpword/bootstrap.php';

$phpWord = new \PhpOffice\PhpWord\PhpWord();

// ใส่ชื่อไฟล์ Word Template ที่ทำไว้
$templateProcessor = new \PhpOffice\PhpWord\TemplateProcessor('mytemplate.docx');


// กำหนดข้อความ ลงไฟล์ Word Template ที่ได้ทำตัวแปรรอไว้

$templateProcessor->setValue('dep_name', 'ฝ่ายเทคโนโลยีสารสนเทศ');
$templateProcessor->setValue('doc_id', 'ก.123/2565');
$templateProcessor->setValue('doc_date', '1 มกราคม พ.ศ.2566');
$templateProcessor->setValue('doc_name', 'รายงานผลการดำเนินงานประจำเดือน');
$templateProcessor->setValue('doc_to', 'ผู้จัดการฝ่ายการตลาด');

$templateProcessor->setValue('detail1', 'การศึกษาครั้งนี้มีวัตถุประสงค์เพื่อศึกษากลยุทธ์ส่วนประสมการตลาดในการดําเนินธุรกิจของผู้ประกอบการวิสาหกิจขนาดกลางและขนาดย่อม และกลยุทธ์ส่วนประสมทางการตลาดที่มีอิทธิพลต่อ ความสําเร็จของผู้ประกอบการวิสาหกิจขนาดกลางและขนาดย่อมประชากรที่ใช้ทําการศึกษาวิจัย คือ เจ้าของกิจการหรือผู้บริหารของวิสาหกิจขนาดกลางและขนาดย่อม ซึ่งการวิจัยครั้งนี้ไม่สามารถระบุจํานวน ประชากรที่แน่นอนได้ผู้วิจัยกําหนดขนาดของกลุ่มตัวอย่างโดยตารางของเครซี่และมอร์แกน');

$templateProcessor->setValue('detail2', 'สรุปได้ว่า กลยุทธ์ทางการตลาดมีอิทธิพลต่อความสําเร็จของผู้ประกอบการวิสาหกิจ ขนาดกลางและขนาดย่อม พบว่าด้านผลิตภัณฑ์และด้านช่องทางการจัดจําหน่าย มีอิทธิพลต่อความสําเร็จ ของผู้ประกอบการวิสาหกิจขนาดกลางและขนาดย่อม อย่างมีนัยสําคัญทางสถิติ');

$templateProcessor->setValue('fullname', 'นายทดสอบ บันทึก');
$templateProcessor->setValue('position', 'พนักงานงานขาย');


// กำหนดข้อมูลลงตาราง

$datas = [
	['no' => 1, 'item' => 'ทดสอบ 1', 'price' => 250, 'amount' => 2],
	['no' => 2, 'item' => 'ทดสอบ 2', 'price' => 150, 'amount' => 3],
	['no' => 3, 'item' => 'ทดสอบ 3', 'price' => 50, 'amount' => 5],
	['no' => 4, 'item' => 'ทดสอบ 4', 'price' => 20, 'amount' => 8],
	['no' => 5, 'item' => 'ทดสอบ 5', 'price' => 350, 'amount' => 1],
];

$templateProcessor->cloneRow('item', sizeof($datas));
$i = 1;
foreach ($datas as $item => $val) { //item is key
	$templateProcessor->setValue('no#'.$i, $i);
	$templateProcessor->setValue('item#'.$i, $val['item']);
	$templateProcessor->setValue('amount#'.$i, $val['amount']);
	$templateProcessor->setValue('price#'.$i, ($val['price'] > 0 ? number_format($val['price'] * $val['amount'], 2) : ''));
	$i++;

}


// กำหนดรูปภาพ ลงไฟล์ Word Template ที่ได้ทำตัวแปรรอไว้

$templateProcessor->setImageValue('img1', array('path' => 'mypic.jpg', 'width' => 400, 'height' => 266, 'ratio' => true));

header("Content-Disposition: attachment; filename=report_template.docx");
$templateProcessor->saveAs('php://output');

?>